Subject: Re: bug#13092: 24.3.50; regression: `icomplete-mode' does not echo key bindings

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Feb 2014 22:40:57 -0500

> Icomplete mode used to echo the keys bound to commands matching
> your input as you type the command name.  This useful feature was
> removed - a regression.  Please restore the feature.  Thx.

Yes, it was useful but it was completely broken, echoing this info
regardless if the minibuffer input was actually meant to represent
a command name or not.

So, to have it back, someone will have to write it in the right way,
such that the echo is only performed for M-x completion and not (for
example) for buffer name completion.

        Stefan